Bug 218848 - [REF] dstlimit - kernel support: libipt_dstlimit missing from iptables package
[REF] dstlimit - kernel support: libipt_dstlimit missing from iptables package
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: RHEL Product and Program Management
Brian Brock
Depends On: 208014
Blocks: 218850
  Show dependency treegraph
Reported: 2006-12-07 15:43 EST by Linda Wang
Modified: 2012-06-20 09:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 09:27:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Linda Wang 2006-12-07 15:43:28 EST
+++ This bug was initially created as a clone of Bug #208014 +++

Description of problem:
Error when trying to insert iptables rule with -m dstlimit flag. Reports
libipt_dstlimit.so missing

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. load iptables
2. try to add rule with -m dstlimit 
Actual results:
Error message:
iptables v1.2.11: Couldn't load match
`dstlimit':/lib/iptables/libipt_dstlimit.so: cannot open shared object file: No
such file or directory

Expected results:
Rule to load - no error

Additional info:

-- Additional comment from twoerner@redhat.com on 2006-09-26 06:05 EST --
There is no dstlimit netfilter kernel module in the current RHEL-4 kernel and
ipt_dstlimit.h in not part of glibc-kernheaders.

Please apply to kernel and glibc-kernheaders for inclusion of dstlimit, then
reapply to iptables. 
BTW: dstlimit is not part of the standard iptables build.

-- Additional comment from terryj@redhat.com on 2006-09-26 12:08 EST --
Request moved to glibc-kernheaders.

Can we get the dstlimit included in iptables? 

-- Additional comment from dwmw2@redhat.com on 2006-12-07 14:18 EST --
Not a lot of point in that unless we add the feature to our kernel.

-- Additional comment from lwang@redhat.com on 2006-12-07 15:42 EST --
There are actually two requests here:
dstlimit support in kernel, and to have glibc-kernheader headerfile for
inclusion in U6.  This bug is to track the kernel header file inclusion.
So clone this RFE for dstlimit support in the kernel, and
clone this REF to include libipt_dstlimit into iptables package.
Comment 1 Jiri Pallich 2012-06-20 09:27:37 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.